kphotoalbum (4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2016 11:18:52 +0200

kphotoalbum (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 10:11:37 +0100

kphotoalbum (4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-compilation-for-Ubuntu-15.04.patch: drop, backported from
      upstream
    - upstream_Add-missing-QMap-and-QDate-includes.patch: drop, backported
      from upstream
  * Bump Standards-Version to 3.9.7, no changes required.
  * Use https for the Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Feb 2016 00:47:43 +0100

kphotoalbum (4.6.2-2) unstable; urgency=medium

  * Team upload.
  * Backport part of upstream commit d83730a934437f18e0406bddb244a7a9c497565c,
    and upstream commit 8dafd2c36ae8ed71577e4ff3c7c7ade18f670e37, to add a
    missing forward declaration and missing includes, fixing build; patches
    upstream_Fix-compilation-for-Ubuntu-15.04.patch and
    upstream_Add-missing-QMap-and-QDate-includes.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2015 08:29:28 +0100

kphotoalbum (4.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Acknowledge NMUs, thanks Matthias Klose and Sebastian Ramacher.
  * Update watch file.
  * Drop patch gcc5.diff, fixed upstream.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Remove unused build dependencies: libmarble-dev, shared-desktop-ontologies.
  * Drop menu file, as kphotoalbum already provides a .desktop file.

 -- Pino Toscano <pino@debian.org>  Tue, 15 Dec 2015 23:19:43 +0100

kphotoalbum (4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * debian/control:
    - Change Depends on mplayer2 to mplayer. (Closes: #795419)
    - Change Recommends on libav-tools to ffmpeg.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 18:38:47 +0200

kphotoalbum (4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (Betty Dall). Closes: #777929.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2015 18:28:03 +0200

kphotoalbum (4.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add the pkg-config build dependency.
  * Update watch file.
  * Remove mplayerthumbs suggest, as it is not used since 4.4; thanks to
    Johannes Zarl for the notice. (Closes: #713010)
  * Switch khelpcenter recommend to khelpcenter4 (which exists).
  * Fix Vcs-Browser header.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update copyright.
  * Add the libav-tools recommend, since avconv can be used.
  * Bump the cmake build dependency to 2.8.3, as indicated in the upstream
    build system.
  * Depend on ${perl:Depends}, since there are perl scripts.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Sep 2014 07:19:39 +0200

kphotoalbum (4.4-2) unstable; urgency=low

  * Update Standards Version 3.9.4 - no changes
  * Update debian/control - fix vcs-field-not-canonical 

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:26:03 +1000

kphotoalbum (4.4-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 11:05:13 +1100

kphotoalbum (4.3-1) experimental; urgency=low

  * New upstream release 
  * Add Depends: mplayer2

 -- Mark Purcell <msp@debian.org>  Fri, 28 Sep 2012 21:45:33 +1000

kphotoalbum (4.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Drop all the patches, no more needed now:
   - 01_kphotoalbum_stable_branch_pull.diff: backported from upstream
   - debian-changes-4.1.1-3: fixed upstream
   - fedora-docbook-fix.diff: fixed upstream
   - ubuntu-exiv2-0.21.diff: backported from upstream
  * Update watch file.
  * Update copyright.
  * Switch the libjpeg62-dev build dependency to libjpeg-dev. (Closes: #643314)
  * Fix Vcs-Browser header.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper compat to 9:
    - bump compat to 9
    - bump debhelper build dependency to 9
  * Link with --as-needed.
  * Do not install the upstream's TODO, not much helpful for users
    (and it seems not really up-to-date).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jun 2012 11:38:11 +0200

kphotoalbum (4.1.1-4) unstable; urgency=low

  * Team Upload

  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add patch from Fedora to fix docbook format for 4.1.2-dtd transition
      (Closes: #628538)
    - Add change from upstream to fix build with exiv2 0.21 (change will make
      kphotoalbum binNMUable when 0.21 is moved from Experimental to Unstable)
    - Update debian/control: add shared-desktop-ontologies build dependency

  [ Fathi Boudra ]
  * Update debian/control: bump build dependencies.
  * Update debian/rules:
    - enable parallel build (pass --parallel option to dh).
    - remove override_dh_compress - not needed anymore.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2011 20:45:23 -0400

kphotoalbum (4.1.1-3) unstable; urgency=low

  * Update Build-Depends for KDE SC 4.4.3 (Closes: #579986) 

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 20:15:11 +1000

kphotoalbum (4.1.1-2) unstable; urgency=low

  * Add stable branch pull patch from KDE svn:
    - Remove of some code that became dead with yesterdays bugfix
    - fixed bug #220373: Viewer settings dialog did not load correct
      values and had wrong defaults. (Closes: #563821)
    - fixed bug #220376: Shortcuts in the annotation dialog was broken
      in some translations
    - bugfix: KPA crashes when viewing images if viewer cache size is set to
      zero
    - fixed bug #211907: Fix EXIF support dialog at startup.
    - fixed bug #147891: Crashing on wrong export directory in Plugin interface
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules:
    - Use kde sequence addon.

 -- Fathi Boudra <fabo@debian.org>  Thu, 14 Jan 2010 10:12:27 +0100

kphotoalbum (4.1.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes "Missing EXIF support dialog". (Closes: #552236)
    - Fixes "Picture counter on timeline". (Closes: #535094)
  * Fixup debian/watch.
  * Fix "English help files are missing"
    - Add missing doc/CMakeLists.txt (Closes: #557141)

 -- Mark Purcell <msp@debian.org>  Sun, 27 Dec 2009 22:01:46 +1100

kphotoalbum (4.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #538061)
  * Update debian/control:
    - Remove cdbs build dependency
    - Bump Standards-Version to 3.8.2 (no changes needed)
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Thu, 30 Jul 2009 14:28:40 +0200

kphotoalbum (4.0.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_kphotoalbum_r967963.diff & quilt obsolete

 -- Mark Purcell <msp@debian.org>  Sun, 24 May 2009 16:48:14 +1000

kphotoalbum (4.0-2) unstable; urgency=low

  * Add branch pull patch from r967963:
    - BUGFIX: The HTML generator did not display the available themes
      correctly.
    - BUGFIX: Invoke external application for multiple files did not work.
    - BUGFIX: build failure on armel architecture.
  * Add quilt build dependency and related CDBS include.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 May 2009 12:42:48 +0200

kphotoalbum (4.0-1) unstable; urgency=low

  * New upstream release
    - dialog layout code rewrite (Closes: #451330).
    - Initial KDE 4 version (Closes: #507235).

  [ Fathi Boudra ]
  * Remove patches (not needed).
  * Bump compat to 7.
  * Update debian/control:
    - Switch from kde section to graphics.
    - Remove quilt and libkexif1-dev build dependencies.
    - Bump debhelper to 7.
    - Add cmake and pkg-kde-tools build dependencies.
    - Bump libexiv2 buil dependency to 0.18.
    - Replace libkdcraw-dev build dependency by libkdcraw7-dev.
    - Replace libkipi0-dev build dependency by libkipi6-dev.
    - Add libjpeg62-dev, libmarble-dev and x11proto-core-dev build
      dependencies.
    - Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).
    - Replace libqt3-mt-sqlitea nd sqlite dependencies by libqt4-sql-sqlite.
    - Remove deprecated kimdaba conflicts/replaces/provides.
    - Add mplayerthumbs suggests.
  * Update debian/copyright:
    - Remove Dave Coffin.
    - Add Henner Zeller.
    - Update GPL version and years.
  * Update debian/rules:
    - Use pkg-kde-tools kde.mk.
    - Remove patchsys-quilt.pk (not used).

  [ Mark Purcell ]
  * Refresh debian/watch

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 10:15:39 +0200

kphotoalbum (3.1.1-2) unstable; urgency=low

  * Add typeinfo include before using typeid. (Closes: #474355)

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 21:00:40 +0200

kphotoalbum (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Merge Ubuntu changes:
    * Add khelpcenter recommends.
    * Bump libexiv2-dev, libkdcraw-dev and libkexif1-dev build dependencies.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Tue, 25 Mar 2008 23:10:58 +0100

kphotoalbum (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Add libkdcraw-dev build dependency.
  * Replace Apps by Applications in menu file.
  * Switch to quilt patch system.
  * Build with --as-needed linker flag.
  * Add patch to fix typo in translation. (Closes: #430702)

 -- Fathi Boudra <fabo@debian.org>  Fri, 14 Dec 2007 22:42:58 +0100

kphotoalbum (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 24 Apr 2007 06:57:07 +1000

kphotoalbum (3.0-2) unstable; urgency=low

  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Thu, 29 Mar 2007 22:17:18 +0100

kphotoalbum (3.0-1) experimental; urgency=low

  * New upstream release
  * Remove autoconf 2.60 support patch, merged upstream
  * control: add libqt3-mt-sqlite and sqlite to depends
  * copyright: updated

 -- Fathi Boudra <fboudra@free.fr>  Wed,  3 Jan 2007 08:37:00 +0100

kphotoalbum (2.2-2) unstable; urgency=low

  * Add version to libexiv2 dependency (Closes: #386855) 

 -- Fathi Boudra <fboudra@free.fr>  Mon, 11 Sep 2006 00:07:52 +0200

kphotoalbum (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #370136, #351170)
  * Convert package to cdbs (Closes: #364371, #332754)
  * New maintainers:
    * Maintainer: KDE Extras Team
    * Uploaders: Mark Purcell and Fathi Boudra
  * compat: bumped to 5
  * control:
    * renamed KimDaBa to KPhotoAlbum
    * replaced Section graphics by kde
    * removed unneeded Build-depends
    * bumped Standards-Version to 3.7.2
    * removed kdegraphics from recommend (Closes: #346391)
    * updated description (Closes: #364160)
    * added Conflicts/Replaces KimDaBa
  * copyright: added missing copyrights
  * manpage and menu updated according to kphotoalbum name
  * watch file added

 -- Fathi Boudra <fboudra@free.fr>  Wed, 30 Aug 2006 13:36:01 +0200

kimdaba (2.1-1) unstable; urgency=low

  * New upstream release, (closes: #316861, #314689).
  * Adapted to follow new version (3.6.2) of the Debian Policy. 
  * Build-depends cleanup. Thanks to Ubuntu developer Jonathan Riddell
    <jr@jriddell.org> and Debian Developers Adeodato Simó <asp16@alu.ua.es> 
    and Steve Langasek <vorlon@debian.org> (closes: #326416).
      - Removed build-depends on libraries: kdelibs4, libqt3c102-mt, libacl1, 
      libart-2.0-2, libattr1, libgcc1, libice6, libidn11, libncurses5, 
      libpng12-0, libsm6, libx11-6, libxcursor1, libxext6, libxft2, libxrandr2,
      libxrender1, libxt6, libaudio2, libexpat1, libfam0c102, libfontconfig1,
      libfreetype6, and zlib1g.
      - Removed build-depends on 'Priority: required' packages: base-files,
      coreutils. 
      - Also removed build-depends on binutils, zlib1g-dev, gettext and xutils.
  * KIPI interface added, (closes: #306386).
      - Added build dependency on libkipi0-dev.
      - Added Recommends: kipi-plugins.
  * Added Recommends: kdegraphics, as it gives EXIF support for Kimdaba.
  * Package description extended to inform of the new plugin capability.
  * First version after C++ ABI change. 
 
 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Wed,  3 Sep 2005 23:23:55 +0200
   
kimdaba (2.0-4) unstable; urgency=low

  * Broken i386 package on Sid, unnecessary dependency on kdelibs 4:4.3.0
    removed (closes: #309752).
  * Upstream KDE-help documentation is only in Docbook format. Only HTML,
    DebianDoc-SGML or Text are acceptable. Removed debian/kimdaba.doc-base
    (closes: #308985).     

 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Thu, 19 May 2005 12:56:00 +0200

kimdaba (2.0-3) unstable; urgency=low

  * Explicit Build-Depends on gcc-3.3, libstdc++5, libc6-dev and libc6 removed
    to allow build on ia64, alpha and ppc64 (closes: #300309).
  * Corrected "a XML" typo on Description and manpage (closes: #299997).

 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Wed, 11 May 2005 09:28:08 +0200

kimdaba (2.0-2) unstable; urgency=low

  * Changelog fixed, ITP bug closed (closes: #227525). 
  * Cleaned up build dependencies on versioned libraries.

 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Fri,  3 Dec 2004 11:44:22 +0100

kimdaba (2.0-1) unstable; urgency=low

  * New upstream release
  * Manpage updated. New option --import added. 

 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Tue, 19 Oct 2004 09:22:37 +0200

kimdaba (1.1-1) unstable; urgency=low

  * Initial Release.
  * Missing manpage added.

 -- David L. Moreno <david.lopez.moreno@hispalinux.es>  Sun,  9 May 2004 18:00:54 +0200
